uniform sampler2D tex0;
uniform highp vec4 g_sampleOffsets[2];

varying mediump vec2 TexCoord;

void main (void)
{
	lowp vec4 color = texture2D(tex0, TexCoord + g_sampleOffsets[0].xy);
	color += texture2D(tex0, TexCoord + g_sampleOffsets[0].zw);
	color += texture2D(tex0, TexCoord + g_sampleOffsets[1].xy);
	color += texture2D(tex0, TexCoord + g_sampleOffsets[1].zw);
	gl_FragColor = color * vec4(0.25, 0.25, 0.25, 0.25);
}
