attribute highp vec2	inVertex;
attribute lowp vec4		inColor;

uniform highp mat2		inPMVMatrix;
uniform highp vec2		g_invCanvasSize;

varying mediump	vec2	TexCoord;
varying lowp vec4		Color;

void main(void)
{
	highp vec2 vertex;

	vertex.x = inVertex.x * inPMVMatrix[0][0] + inPMVMatrix[0][1];
	vertex.y = inVertex.y * inPMVMatrix[1][0] + inPMVMatrix[1][1];

	TexCoord = (vertex * 0.5 + 0.5) * g_invCanvasSize;
	Color = inColor;
	gl_Position = vec4(vertex, 0.0, 1.0);
}
