// attributes
attribute highp vec3	inVertex;
attribute mediump vec2  inTexCoord;
attribute lowp vec4		inColor;

varying lowp  vec4		Color;
varying mediump	vec2	TexCoord;

// uniforms
uniform highp mat4		inPMVMatrix;

void main(void)
{
	Color = inColor;
	gl_Position = inPMVMatrix * vec4(inVertex, 1.0);
	TexCoord = inTexCoord;
}
