uniform sampler2D tex0;
uniform highp vec4 g_sampleOffsets[8];

varying mediump vec2 TexCoord;

// doesn't work on osx
/*
lowp float weights[16] =
{
	0.0, 0.0, 0.0, 0.0,
	0.0, 1.0, 1.0, 0.0,
	0.0, 1.0, 1.0, 0.0,
	0.0, 0.0, 0.0, 0.0
};
*/

void main (void)
{
	lowp vec4 max = vec4(0.0, 0.0, 0.0, 0.0);
	
	/*
	lowp float weights[16];
	weights[0] = 0.0;  weights[1] = 0.0;  weights[2] = 0.0;  weights[3] = 0.0;
	weights[4] = 0.0;  weights[5] = 1.0;  weights[6] = 1.0;  weights[7] = 0.0;
	weights[8] = 0.0;  weights[9] = 1.0;  weights[10] = 1.0; weights[11] = 0.0;
	weights[12] = 0.0; weights[13] = 0.0; weights[14] = 0.0; weights[15] = 0.0;
	
	// take maximum, use nearest filtering
	for (int i = 0; i < 8; ++i)
	{
		lowp vec4 color1 = texture2D(tex0, TexCoord + g_sampleOffsets[i].xy);
		lowp vec4 color2 = texture2D(tex0, TexCoord + g_sampleOffsets[i].zw);
		if (max.r < color1.r * weights[i * 2])
			max = color1;
		if (max.r < color2.r * weights[i * 2 + 1])
			max = color2;
	}
	*/

	lowp vec4 color;

	// 0

	// 1

	// 2
	color = texture2D(tex0, TexCoord + g_sampleOffsets[2].zw);
	if (max.r < color.r)
		max = color;

	// 3
	color = texture2D(tex0, TexCoord + g_sampleOffsets[3].xy);
	if (max.r < color.r)
		max = color;

	// 4
	color = texture2D(tex0, TexCoord + g_sampleOffsets[4].zw);
	if (max.r < color.r)
		max = color;

	// 5
	color = texture2D(tex0, TexCoord + g_sampleOffsets[5].xy);
	if (max.r < color.r)
		max = color;

	// 6

	// 7

	gl_FragColor = max;//texture2D(tex0, TexCoord);//
}
