uniform sampler2D tex0;
uniform lowp float g_alpha;

varying mediump vec2 TexCoord;

void main (void)
{
	lowp vec4 color = texture2D(tex0, TexCoord);
	if (color.a <= g_alpha)
		discard;

	gl_FragColor = color;
}
