#pragma include <data/shaders/ShaderMathCommon.h>

uniform sampler2D tex0; // shape
uniform sampler2D tex1; // texture

varying mediump vec2 TexCoord1;
varying mediump vec2 TexCoord2;
varying lowp	vec4 Color;

void main (void)
{
	lowp float texShape = texture2D(tex0, TexCoord1).a * Color.a;
	lowp vec3 texBackground = texture2D(tex1, TexCoord2).rgb;
	texBackground *= Color.rgb;
	texBackground *= texShape;
	gl_FragColor = vec4(texBackground, texShape);
}
