uniform sampler2D tex0;
uniform mediump vec3 g_sampleOffsets[13];

varying mediump vec2 TexCoord;

void main (void)
{
    // Perform a one-directional gaussian blur
	// unrolling loop...

	lowp vec4 samples = texture2D(tex0, TexCoord + g_sampleOffsets[0].xy) * g_sampleOffsets[0].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[1].xy) * g_sampleOffsets[1].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[2].xy) * g_sampleOffsets[2].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[3].xy) * g_sampleOffsets[3].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[4].xy) * g_sampleOffsets[4].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[5].xy) * g_sampleOffsets[5].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[6].xy) * g_sampleOffsets[6].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[7].xy) * g_sampleOffsets[7].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[8].xy) * g_sampleOffsets[8].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[9].xy) * g_sampleOffsets[9].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[10].xy) * g_sampleOffsets[10].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[11].xy) * g_sampleOffsets[11].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[12].xy) * g_sampleOffsets[12].z;

	gl_FragColor = samples;
}
