uniform sampler2D tex0;
uniform mediump vec3 g_sampleOffsets[3];

varying mediump vec2 TexCoord;

void main (void)
{
	// simplified for iOS
	lowp vec4 samples = texture2D(tex0, TexCoord + g_sampleOffsets[0].xy) * g_sampleOffsets[0].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[1].xy) * g_sampleOffsets[1].z;
	samples += texture2D(tex0, TexCoord + g_sampleOffsets[2].xy) * g_sampleOffsets[2].z;
	//samples += texture2D(tex0, TexCoord + g_sampleOffsets[3].xy) * g_sampleOffsets[3].z;
	//samples += texture2D(tex0, TexCoord + g_sampleOffsets[4].xy) * g_sampleOffsets[4].z;

	gl_FragColor = samples;
}
